#!/bin/bash

set -eu

docker exec -i taiko-mongo mongod --version

rm -rf ~/taiko-web-db
git clone --depth 1 https://github.com/yuukiwww/taiko-web-db.git ~/taiko-web-db
cd ~/taiko-web-db

docker exec -i taiko-mongo mongoexport --db taiko --collection users --out /dev/stdout | sort -n > users.json
docker exec -i taiko-mongo mongoexport --db taiko --collection songs --out /dev/stdout | sort -n > songs.json
docker exec -i taiko-mongo mongoexport --db taiko --collection scores --out /dev/stdout | sort -n > scores.json

git add *.json
git commit --author="BOT <bot@example.com>" -m "$(git diff --name-only --cached | paste -s -d ' ') が更新されました"
git push origin main
